> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/file/file.openpdfviewer.md).

# File.openPDFViewer

> Functional API `openPDFViewer`You can use the same functionality with it as well.

### Feature description

Open Base64-encoded PDF data in the native PDF viewer. When the user closes the viewer `'CLOSE'`is returned.

Toss app Android/iOS `5.261.0` can be used on versions above. Before calling, `File.openPDFViewer.isSupported()`you can check support. If you call it on an unsupported version, `UNSUPPORTED_APP_VERSION` an error occurs.

### Type

```ts
File.openPDFViewer(params: OpenPDFViewerParams): Promise<OpenPDFViewerResult>;
```

**Params**

```ts
type OpenPDFViewerParams = {
  data: string;
  filename?: string;
};
```

**Response**

```ts
type OpenPDFViewerResult = "CLOSE";
```

### Error code

The error code is the `error.code` value.

| Code                      | Description                                                                                                                                                                                                                              |
| ------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | If the running Toss app version does not support this feature, it occurs immediately upon calling. `File.openPDFViewer.isSupported()`Check in advance with, and if it occurs `error.message`show the user the (update guidance message). |
| `INVALID_REQUEST`         | This occurs when the request parameters are invalid.                                                                                                                                                                                     |
| `INVALID_DATA`            | This is when the PDF data is invalid.                                                                                                                                                                                                    |
| `PDF_VIEWER_ERROR`        | This is when an error occurs while opening the PDF viewer.                                                                                                                                                                               |

### Example code

```js
import { File } from "@apps-in-toss/web-framework";

async function handleOpenPdf() {
  if (!File.openPDFViewer.isSupported()) {
    console.log("The PDF viewer is not available in the current version of the Toss app.");
    return;
  }

  try {
    const result = await File.openPDFViewer({
      data: "JVBERi0xLjQK...",
      filename: "document.pdf",
    });

    if (result === "CLOSE") {
      console.log("The PDF viewer has been closed.");
    }
  } catch (error) {
    console.error("PDF viewer error:", error);
  }
}

document.querySelector("#open-pdf").addEventListener("click", handleOpenPdf);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/file/file.openpdfviewer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
